QGIS Application - Bug report #12166
Expressions on labels fail silently
2015-02-09 10:38 PM - Corey Burger

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.6.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 20359
Description

The "Show Label" option with an expression will apparently fail silently, leaving the user with labels that are appearing when they don't
expect it.

Steps to reproduce:
1. Create expression in label engine with apparently valid expression
2. Apply and observe that labels are appearing where you don't expect them.

Please note: this bug IS NOT about writing incorrect expressions. This is about the USER EXPERIENCE when expressions are written
incorrectly. Software should fail gracefully. This isn't, because | am left with no idea how to fix the problem

History

#1 - 2015-02-09 10:41 PM - Nathan Woodrow

I'm not sure | follow. Do you mean if you have an expression like 'hello world' you expect it to fail because it's not True/False?

#2 - 2015-02-09 10:45 PM - Corey Burger

No, write an expression like this SFIELDNAME = 'value' either writing out manually or using the auto-select tool. Despite the fact that there are rows with

'value' in the table, labelling apparently "fails open", where it labels everything.

#3 - 2015-02-09 10:48 PM - Corey Burger

I think | have figured out the issue: if the table has rows with NULL in them, it will fail. | will open a separate bug.

#4 - 2015-02-09 10:54 PM - Corey Burger

| have open #12167 for the NULL issue

#5 - 2015-02-10 12:06 AM - Giovanni Manghi
- Category set to Labelling
- Status changed from Open to Feedback

Corey Burger wrote:
I have open #12167 for the NULL issue

why filing two tickets for the same issue?

#6 - 2015-02-10 11:32 AM - Corey Burger

Because there may be other ways to cause the label engine to fail this way, so #12167 is (likely) just one method of exposing this bug

#7 - 2015-02-10 03:36 PM - Nathan Woodrow
- Status changed from Feedback to Closed

Reopen if you find more. No point leaving a ticket open with no details.
